Skip to main content
GET
/
v1
/
flows
/
{flow_id}
/
nodes
/
{flow_node_id}
/
outputs
/
{id}
Get flow node output
curl --request GET \
  --url https://api.runflow.io/v1/flows/{flow_id}/nodes/{flow_node_id}/outputs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "flow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "display_name": "<string>",
  "variable_type_code": "<string>",
  "validator_code": "<string>",
  "validator_attrs": {},
  "sort_order": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

id
string<uuid>
required
flow_id
string
required

Flow ID. Use 'any' to search across all parents.

flow_node_id
string
required

Flow Node ID. Use 'any' to search across all parents.

Response

The requested flow node output.

Response shape.

id
string<uuid> | null
flow_node_id
string<uuid> | null
name
string | null
display_name
string | null
variable_type_code
string | null
validator_code
string | null
validator_attrs
Validator Attrs · object
sort_order
integer | null
created_at
string<date-time> | null
updated_at
string<date-time> | null